Package org.zeromq

# Class ZMQ.Context

java.lang.Object
org.zeromq.ZMQ.Context

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  `ZMQ`

public static class ZMQ.Context extends Object implements Closeable
Inner class: Context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Context(int ioThreads)`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected void`
`construct(int ioThreads)`
Initialize the JNI interface
`protected void`
`destroy()`
Free all resources used by JNI interface.
`int`
`getMaxSockets()`
The maximum number of sockets allowed on the context
`ZMQ.Poller`
`poller()`
Deprecated.
use Poller constructor
`ZMQ.Poller`
`poller(int size)`
Deprecated.
use Poller constructor
`boolean`
`setMaxSockets(int maxSockets)`
Sets the maximum number of sockets allowed on the context
`ZMQ.Socket`
`socket(int type)`
Create a new Socket within this context.
`void`
`term()`
This is an explicit "destructor".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Context

protected Context(int ioThreads)
Class constructor.

Parameters:
  `ioThreads` - size of the threads pool to handle I/O operations.

## Method Details

### term

public void term()
This is an explicit "destructor". It can be called to ensure the corresponding 0MQ Context has been disposed of.

### socket

public ZMQ.Socket socket(int type)
Create a new Socket within this context.

Parameters:
  `type` - the socket type.
Returns:
  the newly created Socket.

### poller

public ZMQ.Poller poller()
Deprecated.
use Poller constructor
Create a new Poller within this context, with a default size.

Returns:
  the newly created Poller.

### poller

public ZMQ.Poller poller(int size)
Deprecated.
use Poller constructor
Create a new Poller within this context, with a specified initial size.

Parameters:
  `size` - the poller initial size.
Returns:
  the newly created Poller.

### construct

protected void construct(int ioThreads)
Initialize the JNI interface

### destroy

protected void destroy()
Free all resources used by JNI interface.

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

### setMaxSockets

public boolean setMaxSockets(int maxSockets)
Sets the maximum number of sockets allowed on the context

### getMaxSockets

public int getMaxSockets()
The maximum number of sockets allowed on the context